Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003790OCamlOCaml generalpublic2005-09-14 18:172007-02-21 16:19
Reporteradministrator 
Assigned Toxleroy 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10+dev 
Target VersionFixed in Version 
Summary0003790: Wish: Bigarray.*.map_file should set an offset
DescriptionFull_Name: Christoph Bauer
Version: 3.08.3
OS:
Submission from: 213.68.136.226 (213.68.136.226)


Hi,

a possibility to set the offset in a bigarray-mmap file
would be very useful. Either bigarray_map_file should
get 6 parameters or the currpos value from the file
descriptor could be used. The main drawback for my
wish is, that it may breaks existing ocaml programs.

Furthermore a wrapper for getpagesize() is needed
to calculate a valid offset.

Thanks,
Christoph Bauer

TagsNo tags attached.
Attached Files

- Relationships
parent of 0003791closedxleroy Bug 0003790 - patch 
parent of 0004024closedxleroy Memory-mapping of bigarrays with offsets missing 

-  Notes
(0003671)
xleroy (administrator)
2006-06-10 16:30

See PR#4024
(0003927)
xleroy (administrator)
2007-02-21 16:19

Feature implemented in 3.10 as an optional argument to the map_file functions. The argument gives the file offset for the beginning of the file data.
Arbitrary offsets (not necessarily page-aligned) are supported.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2005-11-29 13:12 doligez Relationship added parent of 0003791
2006-06-10 16:29 xleroy Relationship added parent of 0004024
2006-06-10 16:30 xleroy Note Added: 0003671
2006-06-10 16:30 xleroy Assigned To => xleroy
2006-06-10 16:30 xleroy Status acknowledged => resolved
2006-06-10 16:30 xleroy Resolution open => fixed
2006-06-10 16:30 xleroy Description Updated
2007-02-21 16:19 xleroy Note Added: 0003927
2007-02-21 16:19 xleroy Status resolved => closed
2007-02-21 16:19 xleroy Product Version => 3.10+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker